// eslint-disable-next-line @typescript-eslint/no-unused-vars
import { h } from "@stencil/core";
import "proto-ikons-wc";
import { icons, ikons } from "proto-ikons-wc/dist";
const global = 'protoIkonFallback';
const fallback = Object.prototype.hasOwnProperty.call(window, global)
    ? window[global]
    : 'slug-icon';
const getIcon = (label) => {
    const name = label.toLowerCase().split(' ').join('-');
    const icon = `${name}-icon`;
    const ikon = `${name}-ikon`;
    return icons.includes(icon) ? icon : ikons.includes(ikon) ? ikon : fallback;
};
export class ProtoIkonLoader {
    constructor() {
        this.hex = 'currentColor';
        this.name = 'slug';
        this.selected = false;
        this.size = undefined;
        this.label = undefined;
    }
    render() {
        const { name, hex, selected, size, label } = this;
        const title = label ? label : name;
        // NOTE:  we are explicitly setting undefined if no size is provided...
        this.el.style.setProperty('--proto-ikon-size', size ? `${size}px` : undefined);
        const Tag = getIcon(name);
        return (h("div", { key: 'f3732b0d65d0d11f6e1f02657355e2749cbdacca', class: "ikonBox" }, h(Tag, { key: '0f4b69f599b44e117d623be924e1287c542f8c9a', hex: hex, selected: selected, size: size, label: title })));
    }
    static get is() { return "proto-ikon-loader"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["proto-ikon-loader.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["proto-ikon-loader.css"]
        };
    }
    static get properties() {
        return {
            "hex": {
                "type": "string",
                "attribute": "hex",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'currentColor'"
            },
            "name": {
                "type": "string",
                "attribute": "name",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'slug'"
            },
            "selected": {
                "type": "boolean",
                "attribute": "selected",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "false"
            },
            "size": {
                "type": "number",
                "attribute": "size",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "undefined"
            },
            "label": {
                "type": "string",
                "attribute": "label",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "undefined"
            }
        };
    }
    static get elementRef() { return "el"; }
}
