import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const barcodeScanIconCss = "";

const BarcodeScanIcon$1 = /*@__PURE__*/ proxyCustomElement(class BarcodeScanIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'barcode-scan';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '020e4e2a9a99e361d570661fb009e5479515d0c8', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '472625d67f37d551e69fed46f70ac619d7ef39ae' }, title), h("g", { key: '2524a8d2b28878d85720915f2e1a18b52342c822', fill: hex }, h("path", { key: '76f2f7cf2fe2105481b24b9914c61f0387b6bd57', d: "M4 6H6V18H4V6M7 6H8V18H7V6M9 6H12V18H9V6M13 6H14V18H13V6M16\n      6H18V18H16V6M19 6H20V18H19V6M2 4V8H0V4A2 2 0 0 1 2 2H6V4H2M22 2A2 2 0 0 1\n      24 4V8H22V4H18V2H22M2 16V20H6V22H2A2 2 0 0 1 0 20V16H2M22 20V16H24V20A2 2\n      0 0 1 22 22H18V20H22Z" })), h("path", { key: '2abd5dcdeb32add0fa0060e4a517ef2a8136c18e', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return barcodeScanIconCss; }
}, [0, "barcode-scan-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["barcode-scan-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "barcode-scan-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, BarcodeScanIcon$1);
            }
            break;
    } });
}

const BarcodeScanIcon = BarcodeScanIcon$1;
const defineCustomElement = defineCustomElement$1;

export { BarcodeScanIcon, defineCustomElement };
