import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const chartBarIconCss = "";

const ChartBarIcon$1 = /*@__PURE__*/ proxyCustomElement(class ChartBarIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'chart-bar';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '37840ff336f0fcd075cb8fbeec6c77db7e3071ef', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '3fc77d64cd1fcbae2bf4bf329686da864f08f49b' }, title), h("g", { key: 'ae9670dc989eb3585ab60196151ef48ed0fb8e00', fill: hex }, h("path", { key: '45aac1be87046f23deaa0a628c8c2f67d61606d6', d: "M22 21H2V3H4V19H6V10H10V19H12V6H16V19H18V14H22V21Z" })), h("path", { key: '93df0fafe2d09992a2e6ef032a14b6cb06e409a7', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return chartBarIconCss; }
}, [0, "chart-bar-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["chart-bar-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "chart-bar-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ChartBarIcon$1);
            }
            break;
    } });
}

const ChartBarIcon = ChartBarIcon$1;
const defineCustomElement = defineCustomElement$1;

export { ChartBarIcon, defineCustomElement };
