import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const javaScriptIconCss = "";

const JavaScriptIcon$1 = /*@__PURE__*/ proxyCustomElement(class JavaScriptIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'java-script';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '5e14ec2608b6dde3506acea6085b29ba6ef515ac', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '1ee4334eac0e99e474441f79e694a4662137ecee' }, title), h("g", { key: '54108083ee7876bc78a6eed35a63d36e8b556016', fill: hex }, h("path", { key: '2dc2787a3a49bb1813e7cd55c88bdbb668a42948', d: "M3 3H21V21H3V3M7.73 18.04C8.13 18.89 8.92 19.59 10.27 19.59C11.77 19.59\n      12.8 18.79 12.8 17.04V11.26H11.1V17C11.1 17.86 10.75 18.08 10.2 18.08C9.62\n      18.08 9.38 17.68 9.11 17.21L7.73 18.04M13.71 17.86C14.21 18.84 15.22 19.59\n      16.8 19.59C18.4 19.59 19.6 18.76 19.6 17.23C19.6 15.82 18.79 15.19 17.35\n      14.57L16.93 14.39C16.2 14.08 15.89 13.87 15.89 13.37C15.89 12.96 16.2\n      12.64 16.7 12.64C17.18 12.64 17.5 12.85 17.79 13.37L19.1 12.5C18.55 11.54\n      17.77 11.17 16.7 11.17C15.19 11.17 14.22 12.13 14.22 13.4C14.22 14.78\n      15.03 15.43 16.25 15.95L16.67 16.13C17.45 16.47 17.91 16.68 17.91\n      17.26C17.91 17.74 17.46 18.09 16.76 18.09C15.93 18.09 15.45 17.66 15.09\n      17.06L13.71 17.86Z" })), h("path", { key: '056af5e12fa6c4627c4cf71c73db4f9e256407f4', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return javaScriptIconCss; }
}, [0, "java-script-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["java-script-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "java-script-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, JavaScriptIcon$1);
            }
            break;
    } });
}

const JavaScriptIcon = JavaScriptIcon$1;
const defineCustomElement = defineCustomElement$1;

export { JavaScriptIcon, defineCustomElement };
