import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { i as icons, a as ikons } from './index2.js';

const protoIkonLoaderCss = ".ikonBox{width:var(--proto-ikon-size);height:var(--proto-ikon-size);overflow:clip;margin-right:auto}";

const global = 'protoIkonFallback';
const fallback = Object.prototype.hasOwnProperty.call(window, global)
    ? window[global]
    : 'slug-icon';
const getIcon = (label) => {
    const name = label.toLowerCase().split(' ').join('-');
    const icon = `${name}-icon`;
    const ikon = `${name}-ikon`;
    return icons.includes(icon) ? icon : ikons.includes(ikon) ? ikon : fallback;
};
const ProtoIkonLoader$1 = /*@__PURE__*/ proxyCustomElement(class ProtoIkonLoader extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.hex = 'currentColor';
        this.name = 'slug';
        this.selected = false;
        this.size = undefined;
        this.label = undefined;
    }
    render() {
        const { name, hex, selected, size, label } = this;
        const title = label ? label : name;
        // NOTE:  we are explicitly setting undefined if no size is provided...
        this.el.style.setProperty('--proto-ikon-size', size ? `${size}px` : undefined);
        const Tag = getIcon(name);
        return (h("div", { key: 'f3732b0d65d0d11f6e1f02657355e2749cbdacca', class: "ikonBox" }, h(Tag, { key: '0f4b69f599b44e117d623be924e1287c542f8c9a', hex: hex, selected: selected, size: size, label: title })));
    }
    get el() { return this; }
    static get style() { return protoIkonLoaderCss; }
}, [1, "proto-ikon-loader", {
        "hex": [1],
        "name": [1],
        "selected": [4],
        "size": [2],
        "label": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["proto-ikon-loader"];
    components.forEach(tagName => { switch (tagName) {
        case "proto-ikon-loader":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ProtoIkonLoader$1);
            }
            break;
    } });
}

const ProtoIkonLoader = ProtoIkonLoader$1;
const defineCustomElement = defineCustomElement$1;

export { ProtoIkonLoader, defineCustomElement };
