import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { i as icons, a as ikons } from './index2.js';

const protoIkonRawCss = "";

const global = 'protoIkonFallback';
const fallback = Object.prototype.hasOwnProperty.call(window, global)
    ? window[global]
    : 'slug-icon';
const getIcon = (label) => {
    const name = label.toLowerCase().split(' ').join('-');
    const icon = `${name}-icon`;
    const ikon = `${name}-ikon`;
    return icons.includes(icon) ? icon : ikons.includes(ikon) ? ikon : fallback;
};
const ProtoIkonRaw$1 = /*@__PURE__*/ proxyCustomElement(class ProtoIkonRaw extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = 'currentColor';
        this.name = 'slug';
        this.selected = false;
        this.size = undefined;
        this.label = undefined;
    }
    render() {
        const { name, hex, selected, size, label } = this;
        const title = label ? label : name;
        const Tag = getIcon(name);
        return h(Tag, { key: '4170ac2aac433a4099877c483399f47805adbc27', hex: hex, selected: selected, size: size, label: title });
    }
    get el() { return this; }
    static get style() { return protoIkonRawCss; }
}, [0, "proto-ikon-raw", {
        "hex": [1],
        "name": [1],
        "selected": [4],
        "size": [2],
        "label": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["proto-ikon-raw"];
    components.forEach(tagName => { switch (tagName) {
        case "proto-ikon-raw":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ProtoIkonRaw$1);
            }
            break;
    } });
}

const ProtoIkonRaw = ProtoIkonRaw$1;
const defineCustomElement = defineCustomElement$1;

export { ProtoIkonRaw, defineCustomElement };
