import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const puzzleIconCss = "";

const PuzzleIcon$1 = /*@__PURE__*/ proxyCustomElement(class PuzzleIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.selected = false;
        this.hex = undefined;
        this.label = undefined;
        this.name = 'puzzle';
        this.size = undefined;
    }
    render() {
        const { selected, hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '0f7104d66a09f17fd5c0a9bc2817d242a77b2e21', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '8fb6efe506d37e5dcfd146288bbcac9d8357ad90' }, title), h("g", { key: '079a0e4d829359a5265781475330abaa54915e8a', fill: hex }, selected ? (h("path", { d: "M20.5 11H19V7C19 5.89 18.1 5 17 5H13V3.5A2.5 2.5 0 0 0 10.5 1A2.5 2.5\n        0 0 0 8 3.5V5H4A2 2 0 0 0 2 7V10.8H3.5C5 10.8 6.2 12 6.2 13.5C6.2 15 5\n        16.2 3.5 16.2H2V20A2 2 0 0 0 4 22H7.8V20.5C7.8 19 9 17.8 10.5 17.8C12\n        17.8 13.2 19 13.2 20.5V22H17A2 2 0 0 0 19 20V16H20.5A2.5 2.5 0 0 0 23\n        13.5A2.5 2.5 0 0 0 20.5 11Z" })) : (h("path", { d: "M22 13.5C22 15.26 20.7 16.72 19 16.96V20A2 2 0 0 1 17\n        22H13.2V21.7A2.7 2.7 0 0 0 10.5 19C9 19 7.8 20.21 7.8 21.7V22H4A2 2 0 0\n        1 2 20V16.2H2.3C3.79 16.2 5 15 5 13.5C5 12 3.79 10.8 2.3 10.8H2V7A2 2 0\n        0 1 4 5H7.04C7.28 3.3 8.74 2 10.5 2C12.26 2 13.72 3.3 13.96 5H17A2 2 0 0\n        1 19 7V10.04C20.7 10.28 22 11.74 22 13.5M17 15H18.5A1.5 1.5 0 0 0 20\n        13.5A1.5 1.5 0 0 0 18.5 12H17V7H12V5.5A1.5 1.5 0 0 0 10.5 4A1.5 1.5 0 0\n        0 9 5.5V7H4V9.12C5.76 9.8 7 11.5 7 13.5C7 15.5 5.75 17.2 4\n        17.88V20H6.12C6.8 18.25 8.5 17 10.5 17C12.5 17 14.2 18.25 14.88\n        20H17V15Z" }))), h("path", { key: 'b863e6a1aad1ef298c8a7cf4e29f72f879d97d62', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return puzzleIconCss; }
}, [0, "puzzle-icon", {
        "selected": [4],
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["puzzle-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "puzzle-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, PuzzleIcon$1);
            }
            break;
    } });
}

const PuzzleIcon = PuzzleIcon$1;
const defineCustomElement = defineCustomElement$1;

export { PuzzleIcon, defineCustomElement };
