import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const qrCodeIconCss = "";

const QrCodeIcon$1 = /*@__PURE__*/ proxyCustomElement(class QrCodeIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'qr-code';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: 'd27029d4e2de847c7e5be6d78e2affe7991be8fc', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: 'cd5abaeebff9b3a6571677368328f8782776ee08' }, title), h("g", { key: 'ed91f4ff19246858af669368b5366297dd0d9221', fill: hex }, h("path", { key: 'b886f6904fd459df4f516587f0a5bca812d25a47', d: "M3 11H5V13H3V11M11 5H13V9H11V5M9 11H13V15H11V13H9V11M15\n      11H17V13H19V11H21V13H19V15H21V19H19V21H17V19H13V21H11V17H15V15H17V13H15V11M19\n      19V15H17V19H19M15 3H21V9H15V3M17 5V7H19V5H17M3 3H9V9H3V3M5 5V7H7V5H5M3\n      15H9V21H3V15M5 17V19H7V17H5Z" })), h("path", { key: '894d446c8e75330a05189799bb7afdff08a33a66', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return qrCodeIconCss; }
}, [0, "qr-code-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["qr-code-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "qr-code-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, QrCodeIcon$1);
            }
            break;
    } });
}

const QrCodeIcon = QrCodeIcon$1;
const defineCustomElement = defineCustomElement$1;

export { QrCodeIcon, defineCustomElement };
