import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const vectorCurveIconCss = "";

const VectorCurveIcon$1 = /*@__PURE__*/ proxyCustomElement(class VectorCurveIcon extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.hex = undefined;
        this.label = undefined;
        this.name = 'vector-curve';
        this.size = undefined;
    }
    render() {
        const { hex, label, name, size } = this;
        const title = label ? label : name;
        return (h("svg", { key: '1d0e478fa1107067b3a9dd4255abe755602c01c4', width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", { key: '559547e1902c3c445efff474f1c47d65e7ce1496' }, title), h("g", { key: 'd00d77f133d7833fd4325c09034b67f7bd38c0f2', fill: hex }, h("path", { key: '273fe3e510e4fa0dc2ce6fde49a1e0aaac5381ba', d: "M18.5 2A1.5 1.5 0 0 1 20 3.5A1.5 1.5 0 0 1 18.5 5C18.27 5 18.05 4.95\n      17.85 4.85L14.16 8.55L14.5 9C16.69 7.74 19.26 7 22 7L23 7.03V9.04L22\n      9C19.42 9 17 9.75 15 11.04A3.96 3.96 0 0 1 11.04 15C9.75 17 9 19.42 9\n      22L9.04 23H7.03L7 22C7 19.26 7.74 16.69 9 14.5L8.55 14.16L4.85 17.85C4.95\n      18.05 5 18.27 5 18.5A1.5 1.5 0 0 1 3.5 20A1.5 1.5 0 0 1 2 18.5A1.5 1.5 0 0\n      1 3.5 17C3.73 17 3.95 17.05 4.15 17.15L7.84 13.45C7.31 12.78 7 11.92 7\n      11A4 4 0 0 1 11 7C11.92 7 12.78 7.31 13.45 7.84L17.15 4.15C17.05 3.95 17\n      3.73 17 3.5A1.5 1.5 0 0 1 18.5 2M11 9A2 2 0 0 0 9 11A2 2 0 0 0 11 13A2 2 0\n      0 0 13 11A2 2 0 0 0 11 9Z" })), h("path", { key: '3a0ad039a01c895e5499b6957f3a7dc3ca33f828', d: "M0 0h24v24H0z", fill: "none" })));
    }
    static get style() { return vectorCurveIconCss; }
}, [0, "vector-curve-icon", {
        "hex": [1],
        "label": [1],
        "name": [1],
        "size": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["vector-curve-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "vector-curve-icon":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, VectorCurveIcon$1);
            }
            break;
    } });
}

const VectorCurveIcon = VectorCurveIcon$1;
const defineCustomElement = defineCustomElement$1;

export { VectorCurveIcon, defineCustomElement };
