import { r as registerInstance, h, a as getElement } from './index-DvdXi0my.js';
import { i as icons, a as ikons } from './index-C3Yai3vr.js';

const protoIkonLoaderCss = ".ikonBox{width:var(--proto-ikon-size);height:var(--proto-ikon-size);overflow:clip;margin-right:auto}";

const global$1 = 'protoIkonFallback';
const fallback$1 = Object.prototype.hasOwnProperty.call(window, global$1)
    ? window[global$1]
    : 'slug-icon';
const getIcon$1 = (label) => {
    const name = label.toLowerCase().split(' ').join('-');
    const icon = `${name}-icon`;
    const ikon = `${name}-ikon`;
    return icons.includes(icon) ? icon : ikons.includes(ikon) ? ikon : fallback$1;
};
const ProtoIkonLoader = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hex = 'currentColor';
        this.name = 'slug';
        this.selected = false;
        this.size = undefined;
        this.label = undefined;
    }
    render() {
        const { name, hex, selected, size, label } = this;
        const title = label ? label : name;
        // NOTE:  we are explicitly setting undefined if no size is provided...
        this.el.style.setProperty('--proto-ikon-size', size ? `${size}px` : undefined);
        const Tag = getIcon$1(name);
        return (h("div", { key: 'f3732b0d65d0d11f6e1f02657355e2749cbdacca', class: "ikonBox" }, h(Tag, { key: '0f4b69f599b44e117d623be924e1287c542f8c9a', hex: hex, selected: selected, size: size, label: title })));
    }
    get el() { return getElement(this); }
};
ProtoIkonLoader.style = protoIkonLoaderCss;

const protoIkonRawCss = "";

const global = 'protoIkonFallback';
const fallback = Object.prototype.hasOwnProperty.call(window, global)
    ? window[global]
    : 'slug-icon';
const getIcon = (label) => {
    const name = label.toLowerCase().split(' ').join('-');
    const icon = `${name}-icon`;
    const ikon = `${name}-ikon`;
    return icons.includes(icon) ? icon : ikons.includes(ikon) ? ikon : fallback;
};
const ProtoIkonRaw = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.hex = 'currentColor';
        this.name = 'slug';
        this.selected = false;
        this.size = undefined;
        this.label = undefined;
    }
    render() {
        const { name, hex, selected, size, label } = this;
        const title = label ? label : name;
        const Tag = getIcon(name);
        return h(Tag, { key: '4170ac2aac433a4099877c483399f47805adbc27', hex: hex, selected: selected, size: size, label: title });
    }
    get el() { return getElement(this); }
};
ProtoIkonRaw.style = protoIkonRawCss;

export { ProtoIkonLoader as proto_ikon_loader, ProtoIkonRaw as proto_ikon_raw };
